//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SUNGuideBranch complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SUNGuideBranch"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SUNLevel1" type="{urn:ams.se:Taxonomy}SUNLevel1" minOccurs="0"/&gt;
 *         &lt;element name="SUNGuideLeaves" type="{urn:ams.se:Taxonomy}ArrayOfSUNGuideLeaf" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SUNGuideBranch", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "sunLevel1",
    "sunGuideLeaves"
})
public class SUNGuideBranch {

    @XmlElement(name = "SUNLevel1")
    protected SUNLevel1 sunLevel1;
    @XmlElement(name = "SUNGuideLeaves")
    protected ArrayOfSUNGuideLeaf sunGuideLeaves;

    /**
     * Gets the value of the sunLevel1 property.
     * 
     * @return
     *     possible object is
     *     {@link SUNLevel1 }
     *     
     */
    public SUNLevel1 getSUNLevel1() {
        return sunLevel1;
    }

    /**
     * Sets the value of the sunLevel1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link SUNLevel1 }
     *     
     */
    public void setSUNLevel1(SUNLevel1 value) {
        this.sunLevel1 = value;
    }

    /**
     * Gets the value of the sunGuideLeaves property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfSUNGuideLeaf }
     *     
     */
    public ArrayOfSUNGuideLeaf getSUNGuideLeaves() {
        return sunGuideLeaves;
    }

    /**
     * Sets the value of the sunGuideLeaves property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfSUNGuideLeaf }
     *     
     */
    public void setSUNGuideLeaves(ArrayOfSUNGuideLeaf value) {
        this.sunGuideLeaves = value;
    }

}
